| Home | Libraries | People | FAQ | More

## Class template base_from_member<MemberType &, UniqueID>

boost::base_from_member<MemberType &, UniqueID>

## Synopsis

    // In header: <boost/utility/base_from_member.hpp>

    template<typename MemberType, int UniqueID>
    class base_from_member<MemberType &, UniqueID> {
    public:

      // protected member functions
      explicit base_from_member(MemberType &) noexcept;
    };

## Description

### `base_from_member` protected member functions

1.     explicit base_from_member(MemberType & x) noexcept;